# svn_log_entry_t Struct Reference

A structure to represent all the information about a particular log entry. More...

`#include <svn_types.h>`

## Data Fields
apr_hash_t * | changed_paths
| A hash containing as keys every path committed in revision; the values are (svn_log_changed_path_t *) structures.
svn_revnum_t | revision
| The revision of the commit.
apr_hash_t * | revprops
| The hash of requested revision properties, which may be NULL if it would contain no revprops.
svn_boolean_t | has_children
| Whether or not this message has children.
apr_hash_t * | changed_paths2
| A hash containing as keys every path committed in revision; the values are (svn_log_changed_path2_t *) structures.
svn_boolean_t | non_inheritable
| Whether revision should be interpreted as non-inheritable in the same sense of svn_merge_range_t.
svn_boolean_t | subtractive_merge
| Whether revision is a merged revision resulting from a reverse merge.

## Detailed Description

A structure to represent all the information about a particular log entry.

Note:
  To allow for extending the svn_log_entry_t structure in future releases, always use svn_log_entry_create() to allocate the structure.

Since:
  New in 1.5.

Definition at line 798 of file svn_types.h.

## Field Documentation

apr_hash_t* svn_log_entry_t::changed_paths

A hash containing as keys every path committed in revision; the values are (svn_log_changed_path_t *) structures.

The subversion core libraries will always set this field to the same value as changed_paths2 for compatibility reasons.

Deprecated:
  Provided for backward compatibility with the 1.5 API.

Definition at line 808 of file svn_types.h.

apr_hash_t* svn_log_entry_t::changed_paths2

A hash containing as keys every path committed in revision; the values are (svn_log_changed_path2_t *) structures.

If this value is not `NULL`, it MUST have the same value as changed_paths or svn_log_entry_dup() will not create an identical copy.

The subversion core libraries will always set this field to the same value as changed_paths for compatibility with users assuming an older version.

Note:
  See http://svn.haxx.se/dev/archive-2010-08/0362.shtml for further explanation.

Since:
  New in 1.6.

Definition at line 850 of file svn_types.h.

svn_boolean_t svn_log_entry_t::has_children

Whether or not this message has children.

When a log operation requests additional merge information, extra log entries may be returned as a result of this entry. The new entries, are considered children of the original entry, and will follow it. When the HAS_CHILDREN flag is set, the receiver should increment its stack depth, and wait until an entry is provided with SVN_INVALID_REVNUM which indicates the end of the children.

For log operations which do not request additional merge information, the HAS_CHILDREN flag is always FALSE.

For more information see: https://svn.apache.org/repos/asf/subversion/trunk/notes/merge-tracking/design.html#commutative-reporting

Definition at line 833 of file svn_types.h.

svn_boolean_t svn_log_entry_t::non_inheritable

Whether revision should be interpreted as non-inheritable in the same sense of svn_merge_range_t.

Since:
  New in 1.7.

Definition at line 858 of file svn_types.h.

svn_revnum_t svn_log_entry_t::revision

The revision of the commit.

Definition at line 811 of file svn_types.h.

apr_hash_t* svn_log_entry_t::revprops

The hash of requested revision properties, which may be NULL if it would contain no revprops.

Definition at line 815 of file svn_types.h.

svn_boolean_t svn_log_entry_t::subtractive_merge

Whether revision is a merged revision resulting from a reverse merge.

Since:
  New in 1.7.

Definition at line 865 of file svn_types.h.

The documentation for this struct was generated from the following file:

- svn_types.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines